Bug 954084 - [abrt] gnome-shell-3.8.1-1.fc19: st_widget_get_theme_node: Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
Summary: [abrt] gnome-shell-3.8.1-1.fc19: st_widget_get_theme_node: Process /usr/bin/g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7651ff7d2ef4bde64a312de0b57...
Depends On:
Blocks: F19-accepted, F19FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-04-20 14:44 UTC by D. Charles Pyle
Modified: 2013-11-27 19:13 UTC (History)
11 users (show)

Fixed In Version: gnome-shell-3.8.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-02 00:29:44 UTC


Attachments (Terms of Use)
File: backtrace (110.36 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: cgroup (130 bytes, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (4.99 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: dso_list (21.79 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: environ (1.54 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: maps (97.73 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: open_fds (4.91 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (25.90 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
File: xsession_errors (1.79 KB, text/plain)
2013-04-20 14:44 UTC, D. Charles Pyle
no flags Details
script output from 'gdb gnome-shell core.1100' showing gnome-shell crash (66.94 KB, text/plain)
2013-04-27 17:47 UTC, Tom London
no flags Details

Description D. Charles Pyle 2013-04-20 14:44:06 UTC
Description of problem:
It just keeps happening as I am using the Super key to access programs, running Firefox, installing software, etc.

Version-Release number of selected component:
gnome-shell-3.8.1-1.fc19

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_widget_get_theme_node
executable:     /usr/bin/gnome-shell
kernel:         3.9.0-0.rc7.git3.1.fc19.x86_64
runlevel:       N 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 st_widget_get_theme_node at st/st-widget.c:611
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:522
 #5 gjs_invoke_c_function at gi/function.c:893
 #6 function_call at gi/function.c:1202
 #7 CallJSNative at jscntxtinlines.h:701
 #8 js::Invoke at jsinterp.cpp:696
 #9 js::Interpret at jsinterp.cpp:4810
 #10 js::RunScript at jsinterp.cpp:653
 #11 js::Invoke at jsinterp.cpp:740

Potential duplicate: bug 739315

Comment 1 D. Charles Pyle 2013-04-20 14:44:09 UTC
Created attachment 738014 [details]
File: backtrace

Comment 2 D. Charles Pyle 2013-04-20 14:44:11 UTC
Created attachment 738015 [details]
File: cgroup

Comment 3 D. Charles Pyle 2013-04-20 14:44:12 UTC
Created attachment 738016 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2013-04-20 14:44:14 UTC
Created attachment 738017 [details]
File: dso_list

Comment 5 D. Charles Pyle 2013-04-20 14:44:16 UTC
Created attachment 738018 [details]
File: environ

Comment 6 D. Charles Pyle 2013-04-20 14:44:17 UTC
Created attachment 738019 [details]
File: limits

Comment 7 D. Charles Pyle 2013-04-20 14:44:19 UTC
Created attachment 738020 [details]
File: maps

Comment 8 D. Charles Pyle 2013-04-20 14:44:21 UTC
Created attachment 738021 [details]
File: open_fds

Comment 9 D. Charles Pyle 2013-04-20 14:44:22 UTC
Created attachment 738022 [details]
File: proc_pid_status

Comment 10 D. Charles Pyle 2013-04-20 14:44:24 UTC
Created attachment 738023 [details]
File: var_log_messages

Comment 11 D. Charles Pyle 2013-04-20 14:44:26 UTC
Created attachment 738024 [details]
File: xsession_errors

Comment 12 Tom London 2013-04-27 17:47:54 UTC
Created attachment 740865 [details]
script output from 'gdb gnome-shell core.1100' showing gnome-shell crash

I'm seeing this as well.

I attach output from a run of 'gdb gnome-shell core.XXXX -> thread apply all bt full'.

This occurred when I try to 'waken up' the display after it went to sleep.

I'm running gnome-shell-3.8.1-1.fc20.x86_64.

Comment 13 D. Charles Pyle 2013-05-20 16:58:51 UTC
Still happening, but it's been a few days.  This time it happened again while opening a nautilus window to browse the file system.  Unfortunately, there was no usable backtrace or other data made available concerning the crash.  Like in comment 12, the display had been asleep during the night previously.

Now at:  gnome-shell-3.8.2-2.fc19.x86_64

Comment 14 Fedora Update System 2013-06-26 08:22:24 UTC
gnome-shell-3.8.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-shell-3.8.3-3.fc19

Comment 15 Fedora Blocker Bugs Application 2013-06-26 09:20:13 UTC
Proposed as a Freeze Exception for 19-final by Fedora user fmuellner using the blocker tracking app because:

 The bug is one of the most frequently reported crash reasons since the initial GNOME3 release. The backported patch addresses this by simply turning a fatal error into a warning.

Comment 16 Fedora Update System 2013-06-26 17:06:52 UTC
Package gnome-shell-3.8.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-3.8.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11708/gnome-shell-3.8.3-3.fc19
then log in and leave karma (feedback).

Comment 17 imahuph 2013-06-28 04:23:50 UTC
seeing it regularly still

Comment 18 Florian Müllner 2013-06-28 13:11:08 UTC
(In reply to imahuph from comment #17)
> seeing it regularly still

With which gnome-shell version? It's only supposed to be fixed in the very latest build (3.8.3-3), which hasn't been pushed out via updates yet ...

Comment 19 Fedora Update System 2013-07-02 00:29:44 UTC
gnome-shell-3.8.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.